Skip to content

Get recent vendors by channel

Request

Returns a merged list of recently paid vendors from suppliers and expenses. Vendors from suppliers have an _id, while vendors derived from expenses lack an _id to indicate they can be created as new vendors.

Security
oauth2ClientCredentials(Required scopes: vendors:read)
Path
channelstringrequired

Payment channel type

Enum:"mpesa""mtn""pochi""airtel""xentebanktransfer""bank""rtgs""paybill""till""airtime"
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/vendors/recent/{channel}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

List of recent vendors

Bodyapplication/json
Array [
_idstring

Vendor MongoDB ID (only present for existing suppliers)

vendorstring

Vendor/Company name

receiverstring

Receiver name

accnostring

Account number

vendor_refobject

Vendor reference

channelstring

Payment channel

Enum:"mpesa""mtn""pochi""airtel""xentebanktransfer""bank""rtgs""paybill""till""airtime"
phonestring

Phone number

company_namestring

Company name (for existing suppliers)

contact_namestring

Contact person name

emailstring

Email address

payment_instructionsArray of objects(PaymentInstructionV1Dto)

Payment instructions (for existing suppliers)

]
Response
[ { "_id": "string", "vendor": "string", "receiver": "string", "accno": "string", "vendor_ref": {}, "channel": "mpesa", "phone": "string", "company_name": "string", "contact_name": "string", "email": "string", "payment_instructions": [] } ]